<?php

namespace Factory;

use \Zeedhi\DevOps\Model\Projectmanagement\Entities;

class Classification {

    public function saveClassification($entity, $isProject, $label, $isTask,$control, $estimatedTimeProportion = null, $usedInTimeControl = "S", $usedInNews = 'N')
    {
        if(empty($entity)){
            $entity = new Entities\Classification();
        }
        $entity->setIsProject($isProject);
        $entity->setControl($control);
        $entity->setLabel($label);
        $entity->setIsTask($isTask);
        $entity->setEstimatedTimeProportion($estimatedTimeProportion);
        $entity->setUsedInTimeControl($usedInTimeControl);
        $entity->setUsedInNews($usedInNews);
        return $entity;
    }

    function createClassification($label, $isProject = null, $isTask = null){
        $entity = new Entities\Classification();
        $entity->setLabel($label);
        if(!empty($isProject)){
            $entity->setIsProject($isProject);
        }
        if(!empty($isTask)){
            $entity->setIsTask($isTask);
        }
        return $entity;
    }
    function updateClassification(Entities\Classification $entity, $label, $isProject = null, $isTask = null){
        $entity->setLabel($label);
        if(!empty($isProject)){
            $entity->setIsProject($isProject);
        }
        if(!empty($isTask)){
            $entity->setIsTask($isTask);
        }
        return $entity;
    }

} 