<?php

namespace Factory;

use Zeedhi\DevOps\Model\Projectmanagement\Entities;
class Allocation {


    private $entityManager;
    const RELEVANT = Entities\Allocation::RELEVANT;
    const NOT_RELEVANT = Entities\Allocation::NOT_RELEVANT;

    public function __construct(\Doctrine\ORM\EntityManager $entityManager)
    {
        $this->entityManager = $entityManager;
    }
    function createAllocation($task, Entities\Resource $resource, $type,$taskStatus = null, $isRelevant = self::NOT_RELEVANT){
        $entity = new Entities\Allocation();
        $entity->setTask($task);
        $entity->setTaskStatus($taskStatus);
        $entity->setResource($resource);
        $entity->setType($type);
        $entity->setIsRelevant($isRelevant);
        return $entity;
    }
    function updateAllocation(Entities\Allocation $entity ,$task, $resource, $type,$taskStatus = null, $isRelevant = self::NOT_RELEVANT){
        $entity->setTask($task);
        $entity->setTaskStatus($taskStatus);
        $entity->setResource($resource);
        $entity->setType($type);
        $entity->setIsRelevant($isRelevant);
        return $entity;
    }

} 